> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voice Dictionaries

> Retrieves a paginated list of voice dictionaries.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/voice-agents/voice-dictionaries/list
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/voice-agents/voice-dictionaries/list:
    get:
      summary: List Voice Dictionaries
      description: Retrieves a paginated list of voice dictionaries.
      parameters:
        - in: query
          name: skip
          required: false
          description: Number of items to skip (pagination).
          schema:
            type: integer
            default: 1
            example: 1
        - in: query
          name: take
          required: false
          description: Number of items to take (pagination).
          schema:
            type: integer
            default: 10
            example: 10
        - in: query
          name: search
          required: false
          description: Optional search text, applied to dictionary names.
          schema:
            type: string
            example: Medical
        - in: query
          name: used
          required: false
          description: Filter by whether the dictionary is actively used by a voice agent.
          schema:
            type: boolean
            example: true
        - in: query
          name: voiceAgentId
          required: false
          description: Filter by voice agent ID.
          schema:
            type: string
            format: uuid
            example: 48f7656f-098b-4c43-b165-7cfd2cc8ac30
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVoiceDictionariesResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListVoiceDictionariesResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            dictionaries:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 48f7656f-098b-4c43-b165-7cfd2cc8ac30
                  name:
                    type: string
                    example: Medical Terms Dictionary
                  wordsCount:
                    type: integer
                    example: 25
                  isUsed:
                    type: boolean
                    example: true
                  createdAt:
                    type: string
                    format: date-time
                    example: '2024-01-15T10:30:00Z'
            total:
              type: integer
              example: 100
            page:
              type: integer
              example: 1
            pageSize:
              type: integer
              example: 10
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````